include config.mk

all:
	@echo "Run 'make test' for the test binary, or 'make lib' to generate a static library."
	@echo "Run 'make help' for a full list of options."

help:
	@echo "Make options for libglacier:"
	@echo ""
	@echo "lib   - generate the static library"
	@echo "test  - generate a test binary"
	@echo "clean - remove all generated files"

test:
	$(CC) libglacier.c $(LIBFLAGS) -o libglacier.test
	cp etc/example.cfg ./glacier.cfg

clean:
	rm libglacier.test libglacier.a glacier.cfg
